<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		// creacion de una clase: Caja
		// propiedades: color, ancho, alto
		// 
		let Caja=function(){
			this.color="";
			let ancho=0;
			this.alto=0;
			this.getAncho=function(){
				// return this.ancho + "px"; // ocultacion de codigo
				return ancho + "px";
			}
			this.setAncho=function(valor){
				ancho=valor;  // ancho es privado por el let
			}
			this.getAlto=function(){
				return this.alto + "px";
			}
			this.setAlto=function(valor){
				this.alto=valor; // alto es publico, por eso se pone this
			}
			this.getColor=function(){
				return this.color;
			}
			this.setColor=function(valor){
				this.color=valor;
			}
		}


		// creacion de dos objetos basados en esa clase
		// 
		let caja1=new Caja();
		let caja2=new Caja();

		caja1.setAncho(200);
		caja1.setAlto(100);
		caja1.setColor("RED");

		caja2.setAncho(150); // es privado, solo lo puedo hacer con setters
		caja2.alto=150;  // es publico, lo puedo hacer así o con setters
		caja2.color="BLUE";

		// crear dos divs con esas especificaciones de los objetos
		// 
		
		window.addEventListener("load", function(){
 			let c1=document.querySelector(".uno"); // objeto de tipo element
 			let c2=document.querySelector(".dos");

 			c1.style.width=caja1.getAncho(); // ocultacion de codigo
 			c1.style.height=caja1.getAlto();
 			c1.style.backgroundColor = caja1.getColor();

 			c2.style.width=caja2.getAncho(); //hay que añadir las unidades
 			c2.style.height=caja2.getAlto();
 			c2.style.backgroundColor = caja2.getColor();


 			/**
 			 * Tipos de objetos en js
 			 */
 			// dom (dentro del body),
 			// bom (browser), 
 			// los creados por nosotros, 
 			// los propios de javascript: string, number, math





		});
	</script>
</head>
<body>
	<div class="uno">
		Caja1
	</div>
	<div class="dos">
		Caja2
	</div>
</body>
</html>